Subject: bug#48444: 28.0.50; package.el wrong path for package-gnupghome-dir on win10

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 May 2021 22:17:51 +0300

> From: Arthur Miller <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 15 May 2021 21:07:09 +0200
> 
> > You should only use MinGW executables with a MinGW Emacs.
> 
> Indeed, seems to have been the problem. After I manually purged
> c:/msys64/usr/bin and c:/msys64/usr/bin from exec-path, I was able to
> install packages and create/compile init file.
> 
> Any idea how it got there?

How what got where?

> I didn't have any .bashrc or custom setuped files, everything was
> just default as installed. It seems like path was setup by msys.

Yes, installing MSYS will definitely change PATH, especially the one
that MSYS Bash uses.

> I see when I start new process that exec path have those and they take
> precedence before mingw:
> 
> ("c:/msys64/mingw64/bin" "c:/msys64/usr/bin" "c:/msys64/mingw64/bin"
> "C:/msys64/usr/local/bin" "C:/msys64/usr/bin" "C:/msys64/usr/bin"
> "C:/Windows/System32" "C:/Windows" "C:/Windows/System32/Wbem"
> "C:/Windows/System32/WindowsPowerShell/v1.0/"
> "C:/msys64/usr/bin/site_perl" "C:/msys64/usr/bin/vendor_perl" ...)
> 
> Do I have any option other than to manually setq exec-path in
> after-init-hook? 

If you start Emacs from MSYS Bash, then you should look in the MSYS
Bash startup files, perhaps in some etc directory?

If you start Emacs from cmd or from a desktop shortcut, then you can
edit the environment variables from Computer->Properties.